GDCM: gdcm::ImageFragmentSplitter Class Reference

GDCM 3.2.5

Public Member Functions | List of all members
gdcm::ImageFragmentSplitter Class Reference

ImageFragmentSplitter class. More...

`#include <gdcmImageFragmentSplitter.h>`

Inheritance diagram for gdcm::ImageFragmentSplitter:
[legend]
Collaboration diagram for gdcm::ImageFragmentSplitter:
[legend]

## Public Member Functions
| ImageFragmentSplitter ()
| ~ImageFragmentSplitter ()=default
unsigned int | GetFragmentSizeMax () const
void | SetForce (bool f)
void | SetFragmentSizeMax (unsigned int fragsize)
| FragmentSizeMax needs to be an even number.
bool | Split ()
| Split.
Public Member Functions inherited from gdcm::ImageToImageFilter
| ImageToImageFilter ()
| ~ImageToImageFilter ()=default
Image & | GetInput ()
const Image & | GetOutput () const
| Get Output image.
Public Member Functions inherited from gdcm::PixmapToPixmapFilter
| PixmapToPixmapFilter ()
| ~PixmapToPixmapFilter ()=default
Pixmap & | GetInput ()
const Pixmap & | GetOutput () const
| Get Output image.
const Pixmap & | GetOutputAsPixmap () const
Public Member Functions inherited from gdcm::BitmapToBitmapFilter
| BitmapToBitmapFilter ()
| ~BitmapToBitmapFilter ()=default
const Bitmap & | GetOutput () const
| Get Output image.
const Bitmap & | GetOutputAsBitmap () const
void | SetInput (const Bitmap &image)
| Set input image.

## Additional Inherited Members
Protected Attributes inherited from gdcm::BitmapToBitmapFilter
SmartPointer< Bitmap > | Input
SmartPointer< Bitmap > | Output

## Detailed Description

ImageFragmentSplitter class.

For single frame image, DICOM standard allow splitting the frame into multiple fragments

## Constructor & Destructor Documentation

## ◆ ImageFragmentSplitter()

gdcm::ImageFragmentSplitter::ImageFragmentSplitter | ( |  | ) |
| inline

## ◆ ~ImageFragmentSplitter()

gdcm::ImageFragmentSplitter::~ImageFragmentSplitter | ( |  | ) |
| default

## Member Function Documentation

## ◆ GetFragmentSizeMax()

unsigned int gdcm::ImageFragmentSplitter::GetFragmentSizeMax | ( |  | ) | const
| inline

## ◆ SetForce()

void gdcm::ImageFragmentSplitter::SetForce | ( | bool | f | ) |
| inline

When file already has all it's segment < FragmentSizeMax there is not need to run the filter. Unless the user explicitly say 'force' recomputation !

## ◆ SetFragmentSizeMax()

void gdcm::ImageFragmentSplitter::SetFragmentSizeMax | ( | unsigned int | fragsize | ) |

FragmentSizeMax needs to be an even number.

## ◆ Split()

bool gdcm::ImageFragmentSplitter::Split | ( |  | ) |

Split.

The documentation for this class was generated from the following file:

- gdcmImageFragmentSplitter.h